package rangesearch;

import java.util.EventObject;

/** An event that is fired when the current tool mode changes in a GraphView. */

public class ToolChangedEvent extends EventObject {
    protected int m_toolMode;

    ToolChangedEvent(Object source, int toolMode) {
        super(source);
        m_toolMode = toolMode;
    }

    /** Returns the new tool mode. */
    public int getToolMode() {
        return m_toolMode;
    }
}
